/***************************************************************************
                          trainer.cpp  -  description
                             -------------------
    copyright            : (C) 2005 by Matt Grover
    email                : mgrover@amygdala.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "trainer.h"
#include "network.h"

using namespace Amygdala;

TrainerProperties::~TrainerProperties() {}

Trainer::Trainer(TrainerProperties& tProps, std::string name):AmygdalaClass(), callbackPeriod(0), trainerName(name)
{
    tprops = tProps.Copy();
}

Trainer::~Trainer() {}

/*TrainerProperties* Trainer::Copy()
{
} */

void Trainer::PeriodicTrain()
{}

void Trainer::SetCallbackPeriod(AmTimeInt period)
{
    callbackPeriod = period;
    Network::GetNetworkRef()->SetTrainerCallback(this, period + Network::SimTime());
}
