/***************************************************************************
                          handler.h  -  description
                             -------------------
    begin                : Mon Feb 25 2002
    copyright            : (C) 2002 by Rudiger Koch
    email                : rkoch@rkoch.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <string>

#include <amygdala/genomehandler.h>

class Handler : public Amygdala::GenomeHandler  {
public:
    Handler();
    ~Handler();
//  implemented methods from base class
    virtual void Gene (const std::string & gene, Amygdala::AmIdInt chromosomeId);
    virtual void FinishParsing();
    virtual bool Step();
private:
    Amygdala::AmIdInt geneNo;
    Amygdala::AmIdInt currChromosomeNo;
};
