/***************************************************************************
                          tester.cpp  -  description
                             -------------------
    begin                : Fri, Dec 20 2002
    copyright            : (C) 2002 by Rudiger Koch
    email                : rkoch@rkoch.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <iostream>
#include <sys/types.h>
#include <unistd.h>


#include "tester.h"
#include "handler.h"

using namespace std;
using namespace Amygdala;

Tester::Tester(string url){
    cout << "Instantiating the Genome object" << endl;
    genome = new Genome(url);
}
Tester::~Tester(){
    delete genome;
}

void Tester::Setup (){
    //cout << "Process ID " << getpid() << ": Setting up Tester from genome from " << uri << endl;
    Handler *myHandler = new Handler();
    genome->SetHandler(myHandler);
    genome->Get();
    genome->Parse();
}

void Tester::Submit(){
    const int score = 1234;
    genome->Submit(score);
}

