#!/usr/bin/perl


for $type ("base", "hebbian", "multifractal") {
    $mean = 0.0;
    $var = 0.0;
    $count = 0;

    for $f (glob("testingError_$type*")) {

        open FILE, "<$f";
        $last = "";
        while (<FILE>) {
            chomp;
            $last = $_;
        }
        $last =~ s/(.*?) .*/$1/g;
        close(FILE);

        print "$f => $last\n";

        $mean += $last;
        $var += $last * $last;
        ++$count;
    }

    $mean /= $count;
    $var = sqrt(($var / $count) - ($mean * $mean));
    print "$type: mean=$mean, dev=$var\n";
}
