/***************************************************************************
                          inputneuronproperties.h  -  description
                             -------------------
    copyright            : (C) 2003 by Matt Grover
    email                : mgrover@amygdala.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef INPUTNEURONPROPERTIES_H
#define INPUTNEURONPROPERTIES_H

#include <amygdala/neuronproperties.h>
#include <string>
#include <map>
#include <vector>

namespace Amygdala {

/**
  * class InputNeuronProperties
  *
  */

class InputNeuronProperties : public NeuronProperties
{
public:
    InputNeuronProperties();
    InputNeuronProperties(bool initializePhysicalProps);
    InputNeuronProperties(const InputNeuronProperties& rhs);
    virtual ~InputNeuronProperties();
    
    virtual InputNeuronProperties* Copy() const;

    //virtual void SetProperty(std::string& name, std::string& value);

    //virtual std::map< std::string, std::string > GetPropertyMap() const;

    //virtual std::vector< std::pair< std::string, std::string > > GetPropertyVector() const;
protected:
};
} // namespace Amygdala
#endif // INPUTNEURONPROPERTIES_H

