/***************************************************************************
                          neurongroup.cpp  -  description
                             -------------------
    copyright            : (C) 2004 by Matt Grover
    email                : mgrover@amygdala.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "neurongroup.h"
#include "outputmanager.h"

using namespace Amygdala;

NeuronGroup::~NeuronGroup()
{
}

void NeuronGroup::AddNeuron(Neuron* nrn)
{
    nrnGroup.push_back(nrn);
}

void NeuronGroup::AddToOutputGroup(AmGroupInt groupId) const
{
    for (unsigned int i=0; i<nrnGroup.size(); ++i) {
        OutputManager::AddNeuronToGroup(nrnGroup[i], groupId);
    }
}
