/***************************************************************************
 *   Copyright (C) 2005 by Rüdiger Koch                                    *
 *   rkoch@rkoch.org                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "poleoutput.h"
#include <amygdala/neuron.h>
#include <iostream>

using namespace Amygdala;
using namespace std;


PoleOutput::PoleOutput()
{
}


PoleOutput::~PoleOutput()
{
}


void PoleOutput::OutputEvent(Neuron *n, AmTimeInt eventTime){
    AmIdInt neuronId = n->GetId();
    if(neuronId >= 10 && neuronId <=12){
        force -= 5.;
    } else if (neuronId >= 13 && neuronId <=15) {
        force += 5.;
    }
}


float PoleOutput::GetMotorOutput()
{
    float f = force;
    force = force / 1.003;        // decay
    return f;
}
